{
  "settings": {
    "number_of_shards": 1,
    "number_of_replicas": 0
  },
  "mappings": {
    "properties": {
      "slm": {
        "properties": {
          "type": { "type": "keyword" },
          "timestamp": { "type": "date", "format": "epoch_millis" },
          "date": { "type": "date", "format": "yyyy-MM-dd HH:mm:ss" }
        }
      },
      "log_type": { "type": "keyword" },
      "module": { "type": "keyword" },
      "script": { "type": "keyword" },
      "user_id": { "type": "keyword" },
      "user_email": { "type": "keyword" },
      "data": { "type": "text" },
      "debug": { "type": "text" },
      "ip": { "type": "ip" },
      "user_agent": { "type": "text" }
    }
  }
}
